Package org.firebirdsql.jdbc.escape

## Class FBSQLParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - java.sql.SQLNonTransientException
        - - java.sql.SQLSyntaxErrorException
          - - org.firebirdsql.jdbc.escape.FBSQLParseException

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Iterable<java.lang.Throwable>`

    public class FBSQLParseException
    extends java.sql.SQLSyntaxErrorException

This exception is thrown by FBEscapedParser when it cannot parse the escaped syntax.

Author:
  Roman Rokytskyy
See Also:
  Serialized Form

### Field Summary

Fields
`static java.lang.String` `SQL_STATE_INVALID_ESCAPE_SEQ` Deprecated. Use `SQLStateConstants.SQL_STATE_INVALID_ESCAPE_SEQ`; will be removed in Jaybird 5.

### Constructor Summary

Constructors
`FBSQLParseException​(java.lang.String msg)`

### Method Summary

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Field Detail

#### SQL_STATE_INVALID_ESCAPE_SEQ

    @Deprecated
    public static final java.lang.String SQL_STATE_INVALID_ESCAPE_SEQ

Deprecated.
Use `SQLStateConstants.SQL_STATE_INVALID_ESCAPE_SEQ`; will be removed in Jaybird 5.

See Also:
  Constant Field Values

### Constructor Detail

#### FBSQLParseException

    public FBSQLParseException​(java.lang.String msg)